### Method

# Gdk DrawContext begin_frame

#### Declaration [src]

    void
    gdk_draw_context_begin_frame (
      GdkDrawContext* context,
      const cairo_region_t* region
    )

#### Description [src]

Indicates that you are beginning the process of redrawing `region` on the `context`‘s surface.

Calling this function begins a drawing operation using `context` on the surface that `context` was created from. The actual requirements and guarantees for the drawing operation vary for different implementations of drawing, so a `GdkCairoContext` and a `GdkGLContext` need to be treated differently.

A call to this function is a requirement for drawing and must be followed by a call to gdk_draw_context_end_frame(), which will complete the drawing operation and ensure the contents become visible on screen.

Note that the `region` passed to this function is the minimum region that needs to be drawn and depending on implementation, windowing system and hardware in use, it might be necessary to draw a larger region. Drawing implementation must use gdk_draw_context_get_frame_region() to query the region that must be drawn.

When using GTK, the widget system automatically places calls to gdk_draw_context_begin_frame() and gdk_draw_context_end_frame() via the use of Gsk.Renderers, so application code does not need to call these functions explicitly.

#### Parameters

`region` | `const cairo_region_t*`
| Minimum region that should be drawn.
| The data is owned by the caller of the function.